Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein
Class ProgressIndicator

    java.lang.Object
      jprotein.ProgressIndicator

All Implemented Interfaces:
  java.lang.Runnable

    public class ProgressIndicator

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`ProgressIndicator(java.lang.String action)`
`ProgressIndicator(java.lang.String action, boolean viewProgress)`
`ProgressIndicator(java.lang.String action, int timer)`

Method Summary
`java.lang.String` | `getAction()`
`double` | `getProgress()`
`java.lang.String` | `getStatus()`
`boolean` | `isAlive()`
`void` | `printProgress()`
`boolean` | `progressViewable()`
`void` | `run()`
`void` | `setAction(java.lang.String action)`
`void` | `setProgress(double progress)`
`void` | `setStatus(java.lang.String status)`
`void` | `stop()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressIndicator

    public ProgressIndicator(java.lang.String action,
                             int timer)

### ProgressIndicator

    public ProgressIndicator(java.lang.String action)

### ProgressIndicator

    public ProgressIndicator(java.lang.String action,
                             boolean viewProgress)

Method Detail

### setProgress

    public void setProgress(double progress)

### getProgress

    public double getProgress()

### progressViewable

    public boolean progressViewable()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### printProgress

    public void printProgress()

### getAction

    public java.lang.String getAction()

### getStatus

    public java.lang.String getStatus()

### setAction

    public void setAction(java.lang.String action)

### setStatus

    public void setStatus(java.lang.String status)

### stop

    public void stop()

### isAlive

    public boolean isAlive()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD